/*
  File: main.cpp

  (C) 2011 Philbob

  This program is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation, either version 2.1 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
//-----------------------------------------------------------------------
//	main.cpp
//-----------------------------------------------------------------------
#include<iostream>
#include<stdio.h>
#include<string.h>
#include<termios.h>
#include<fcntl.h>
#include<unistd.h>
#include<stdlib.h>
#include<math.h>
#include<fftw3.h>
#include <g2.h>
#include <g2_X11.h>
//-----------------------------------------------------------------------
#define classe_e 
#include<main.h>
#undef classe_e

#define classe_e extern
#include<commun.h>
#undef classe_e

#define classe_e extern
#include<specifique.h>
#undef classe_e

//-----------------------------------------------------------------------
using namespace std;

//-----------------------------------------------------------------------

//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
int main(void)
{
	system("clear");
	
	init();

	debut();
		
	action();

	fin();
			
	return 0;
}
//-----------------------------------------------------------------------
//init
void init(void)
{
}
//-----------------------------------------------------------------------
//fonction action
void action(void)
{
	double err;
	double prop;
	double inc;
	
	triode t;			//objet triode

	t.init();			//initialisation


	//optimisation
	if (t.opti()==true)
	{
		for (prop=1e-2;prop>1e-5;prop=prop*0.9)
		{
			while (t.optimise(prop))
			{
			}
		}
	
	}
	//trace
	t.sauve_param();
	t.mutuelle();
	t.trace();
	
	//LTSpice
	t.LTSpice();
}
//-----------------------------------------------------------------------
//-----------------------------------------------------------------------

